Debian Bug report logs - #650060
snort: FTBFS when built with build-arch

version graph

Package: snort; Maintainer for snort is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for snort is src:snort.

Reported by: Clint Byrum <clint@ubuntu.com>

Date: Sat, 26 Nov 2011 02:09:02 UTC

Severity: serious

Tags: patch

Found in version snort/2.8.5.2-9.1

Fixed in version 2.9.2.2-2.1

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#650060; Package snort. (Sat, 26 Nov 2011 02:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Clint Byrum <clint@ubuntu.com>:
New Bug report received and forwarded. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Sat, 26 Nov 2011 02:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Clint Byrum <clint@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: snort: FTBFS with multiarch libmysqlclient-dev
Date: Fri, 25 Nov 2011 18:06:48 -0800
[Message part 1 (text/plain, inline)]
Package: snort
Version: 2.8.5.2-9.1
Severity: important
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu precise ubuntu-patch



*** /tmp/tmpWxWRHu/bug_body
In Ubuntu, the attached patch was applied to achieve the following:

libmysqlclient-dev is multiarch in experimental, and should move to
unstable soon.

  * d/rules: use mysql_config to find libraries to fix FTBFS with
    multiarch libmysqlclient.


Thanks for considering the patch.


-- System Information:
Debian Release: wheezy/sid
  APT prefers precise-updates
  APT policy: (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-12-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[snort_2.8.5.2-9.1ubuntu1.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
Bug#650060; Package snort. (Sat, 28 Jan 2012 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>. (Sat, 28 Jan 2012 09:06:07 GMT) Full text and rfc822 format available.

Message #10 received at 650060@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: Clint Byrum <clint@ubuntu.com>, 650060@bugs.debian.org
Subject: Re: Bug#650060: snort: FTBFS with multiarch libmysqlclient-dev
Date: Sat, 28 Jan 2012 10:00:05 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 25, 2011 at 06:06:48PM -0800, Clint Byrum wrote:
> In Ubuntu, the attached patch was applied to achieve the following:
> 
> libmysqlclient-dev is multiarch in experimental, and should move to
> unstable soon.
(...)

    I'm not sure if this merits an 'important' priority since
libmysclient-dev is not yet in Debian's unstable. In any case, I have the
patch ready to apply it to the Debian packages but cannot do this at the
moment as doing that will break the build.

    I will apply the patch when the new libmysclient-dev hits unstable.

    Regards

    Javier
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Tue, 01 May 2012 14:21:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to debian-bsd@lists.debian.org:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Tue, 01 May 2012 14:21:12 GMT) Full text and rfc822 format available.

Message #15 received at 650060@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 650060@bugs.debian.org
Subject: snort: FTBFS with multiarch libmysqlclient-dev (now in unstable)
Date: Tue, 01 May 2012 16:19:41 +0200
severity 650060 serious
bye

Seems to happen now in unstable

Regards

    Christoph

-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Severity set to 'serious' from 'important' Request was from Christoph Egger <christoph@debian.org> to control@bugs.debian.org. (Tue, 01 May 2012 14:21:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Sat, 05 May 2012 22:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sat, 05 May 2012 22:30:04 GMT) Full text and rfc822 format available.

Message #22 received at 650060@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@computer.org>
To: debian-bsd@lists.debian.org, 650060@bugs.debian.org
Subject: Re: Bug#650060: snort: FTBFS with multiarch libmysqlclient-dev (now in unstable)
Date: Sun, 6 May 2012 00:26:20 +0200
[Message part 1 (text/plain, inline)]
On Tue, May 01, 2012 at 04:19:41PM +0200, Christoph Egger wrote:
> severity 650060 serious
> bye
> 
> Seems to happen now in unstable

It does not seem to be the same bug (or the patch provided does not apply
and fix this bug). The version of libmysqlclient-dev currently available in
unstable (version 5.1.62-1) does not provide the '--variable=pkglibdir'
option (i.e. it is not recognised for mysql_config).

Regards

Javier

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Thu, 10 May 2012 15:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marcos Marado <mindboosternoori@gmail.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Thu, 10 May 2012 15:06:03 GMT) Full text and rfc822 format available.

Message #27 received at 650060@bugs.debian.org (full text, mbox):

From: Marcos Marado <mindboosternoori@gmail.com>
To: 650060@bugs.debian.org
Subject: Re: Bug#650060: snort: FTBFS with multiarch libmysqlclient-dev (now [...]
Date: Thu, 10 May 2012 16:03:23 +0100
Hi there,

Javier Fernández-Sanguino Peña <jfs@computer.org> wrote:
> It does not seem to be the same bug (or the patch provided does not apply
> and fix this bug). The version of libmysqlclient-dev currently available in
> unstable (version 5.1.62-1) does not provide the '--variable=pkglibdir'
> option (i.e. it is not recognised for mysql_config).

FYI,

Version in unstable is now 5.5.23-2, which is multiarch.

Best regards,
-- 
Marcos Marado




Added indication that bug 650060 blocks 671115 Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Sun, 13 May 2012 06:51:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Sat, 02 Jun 2012 13:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sat, 02 Jun 2012 13:09:14 GMT) Full text and rfc822 format available.

Message #34 received at 650060@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 650060@bugs.debian.org
Subject: snort: diff for NMU version 2.9.2.2-1.1
Date: Sat, 2 Jun 2012 15:05:26 +0200
[Message part 1 (text/plain, inline)]
tags 650060 + pending
thanks

Dear maintainer,

I've prepared an NMU for snort (versioned as 2.9.2.2-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Peter Jones: I'd Do It All for You
[snort-2.9.2.2-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 13:09:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Sat, 02 Jun 2012 16:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sat, 02 Jun 2012 16:03:05 GMT) Full text and rfc822 format available.

Message #41 received at 650060@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@computer.org>
To: gregor herrmann <gregoa@debian.org>, 650060@bugs.debian.org
Subject: Re: Bug#650060: snort: diff for NMU version 2.9.2.2-1.1
Date: Sat, 2 Jun 2012 18:01:05 +0200
> I've prepared an NMU for snort (versioned as 2.9.2.2-1.1) and
> uploaded it to DELAYED/2. Please feel free to tell me if I
> should delay it longer.

Thank you, I have applied this patch to the GIT repo, I will test it
out and, if it works as expected I will upload a new package version
myself.

Regards

Javier




Reply sent to Javier Fernández-Sanguino Peña <jfs@debian.org>:
You have taken responsibility. (Sat, 02 Jun 2012 16:39:11 GMT) Full text and rfc822 format available.

Notification sent to Clint Byrum <clint@ubuntu.com>:
Bug acknowledged by developer. (Sat, 02 Jun 2012 16:39:11 GMT) Full text and rfc822 format available.

Message #46 received at 650060-close@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@debian.org>
To: 650060-close@bugs.debian.org
Subject: Bug#650060: fixed in snort 2.9.2.2-2
Date: Sat, 02 Jun 2012 16:37:03 +0000
Source: snort
Source-Version: 2.9.2.2-2

We believe that the bug you reported is fixed in the latest version of
snort, which is due to be installed in the Debian FTP archive:

snort-common-libraries_2.9.2.2-2_i386.deb
  to main/s/snort/snort-common-libraries_2.9.2.2-2_i386.deb
snort-common_2.9.2.2-2_all.deb
  to main/s/snort/snort-common_2.9.2.2-2_all.deb
snort-doc_2.9.2.2-2_all.deb
  to main/s/snort/snort-doc_2.9.2.2-2_all.deb
snort-mysql_2.9.2.2-2_i386.deb
  to main/s/snort/snort-mysql_2.9.2.2-2_i386.deb
snort-pgsql_2.9.2.2-2_i386.deb
  to main/s/snort/snort-pgsql_2.9.2.2-2_i386.deb
snort-rules-default_2.9.2.2-2_all.deb
  to main/s/snort/snort-rules-default_2.9.2.2-2_all.deb
snort_2.9.2.2-2.debian.tar.gz
  to main/s/snort/snort_2.9.2.2-2.debian.tar.gz
snort_2.9.2.2-2.dsc
  to main/s/snort/snort_2.9.2.2-2.dsc
snort_2.9.2.2-2_i386.deb
  to main/s/snort/snort_2.9.2.2-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650060@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernández-Sanguino Peña <jfs@debian.org> (supplier of updated snort package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 02 Jun 2012 17:56:00 +0200
Source: snort
Binary: snort snort-common snort-doc snort-mysql snort-pgsql snort-rules-default snort-common-libraries
Architecture: source i386 all
Version: 2.9.2.2-2
Distribution: unstable
Urgency: low
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Changed-By: Javier Fernández-Sanguino Peña <jfs@debian.org>
Description: 
 snort      - flexible Network Intrusion Detection System
 snort-common - flexible Network Intrusion Detection System [common files]
 snort-common-libraries - flexible Network Intrusion Detection System ruleset
 snort-doc  - Documentation for the Snort IDS [documentation]
 snort-mysql - flexible Network Intrusion Detection System [MySQL]
 snort-pgsql - flexible Network Intrusion Detection System [PostgreSQL]
 snort-rules-default - flexible Network Intrusion Detection System ruleset
Closes: 650060
Changes: 
 snort (2.9.2.2-2) unstable; urgency=low
 .
   * Fix "FTBFS with multiarch libmysqlclient-dev" using the
     patch supplied by Gregor Herrmann :
     + apply patch from Ubuntu / Jean-Louis Dupond:
       - debian/rules: use mysql_config to find libraries to fix FTBFS
         with multiarch libmysqlclient.
     + debian/control: Build-Depends: drop virtual libmysqlclient15-dev,
       make libmysqlclient-dev versioned to get mysql_config's --variable=
       switch.
     (Closes: #650060)
Checksums-Sha1: 
 dee9ece513425e359345b781abaca18f304cf4b7 1782 snort_2.9.2.2-2.dsc
 26df71b1428efcbf4a8673a8b0425eeed622f7bb 1588136 snort_2.9.2.2-2.debian.tar.gz
 c160d00cc52a9f842a69550d474c5b3d4fe88ce7 860752 snort_2.9.2.2-2_i386.deb
 27e45adc17f8533c6f994f6cd7f3000eb174bc3a 873902 snort-mysql_2.9.2.2-2_i386.deb
 87302693e3dd95cc41ee353e3efddb769947db51 873604 snort-pgsql_2.9.2.2-2_i386.deb
 71d9d1b7b86db68ebaa0166c30cdcf8a7f63503c 530922 snort-common-libraries_2.9.2.2-2_i386.deb
 d7033da1f188ab382d9c82ac06be9cfa198bf47f 208754 snort-common_2.9.2.2-2_all.deb
 dede596a24b242ede043b40551586794c308de22 3072736 snort-doc_2.9.2.2-2_all.deb
 2c6037df735cda7e6207fcccbf7e75ac5b0e3cf8 340786 snort-rules-default_2.9.2.2-2_all.deb
Checksums-Sha256: 
 110a05c8ec741aa29ec3c81badfb36a5b4a98aed4b3f66baebaaf834495bac60 1782 snort_2.9.2.2-2.dsc
 29ae54516186cea20a9ffa42cf081abbf5613f5997590ccbd0a3881ed30646fc 1588136 snort_2.9.2.2-2.debian.tar.gz
 8efd2413afd7ac6d58617635e98471e43b8f8bedf767d28205742ae1c4cbcae3 860752 snort_2.9.2.2-2_i386.deb
 42d9f1b1b4c9ebba2446ef65c62be428bad0c532255a6606d5717dbb01ebbe12 873902 snort-mysql_2.9.2.2-2_i386.deb
 07d47e8a096df6369956813e602b2611411d85559a164c8a3a2e8ad68045447a 873604 snort-pgsql_2.9.2.2-2_i386.deb
 b785c54dfd602d14fc6fde930513f6a0c31157ab42a0afd165ffa64062b6396e 530922 snort-common-libraries_2.9.2.2-2_i386.deb
 d8d21d1898ce3e6f11e732587590b2560906e602c33287dbc67173bd18548816 208754 snort-common_2.9.2.2-2_all.deb
 4b639d4db0dc935f3445f9b1880e443d637201543900018f33ad75cf08f9b836 3072736 snort-doc_2.9.2.2-2_all.deb
 f2e974b0ba7ed0801329081268c0448e6c8379dfae3a072589d1199bb81d86cd 340786 snort-rules-default_2.9.2.2-2_all.deb
Files: 
 efa08e71e3bb05a7993bdf9ba7903558 1782 net optional snort_2.9.2.2-2.dsc
 62846bd8e85ac483eee5caa061a40d60 1588136 net optional snort_2.9.2.2-2.debian.tar.gz
 1ac0d3ce1aced06d6998ec880fc6addb 860752 net optional snort_2.9.2.2-2_i386.deb
 7db08dccf1ff450acefa2939311d056f 873902 net extra snort-mysql_2.9.2.2-2_i386.deb
 afbdb017e38fe5b59c79743724c7435c 873604 net optional snort-pgsql_2.9.2.2-2_i386.deb
 60daeb21bcbacf0f0c3c52b2a2a6894a 530922 net optional snort-common-libraries_2.9.2.2-2_i386.deb
 13ce6c5f369d00f94b05e91b56360504 208754 net optional snort-common_2.9.2.2-2_all.deb
 7e45924e881380eb9e8ad5b8ad621349 3072736 doc optional snort-doc_2.9.2.2-2_all.deb
 f6dd5538ca49e2f32faf5535c2993304 340786 net optional snort-rules-default_2.9.2.2-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPyj5QsandgtyBSwkRAnSYAJ9kSwRwirE5QTJIUM1SJxqa0DHvBwCeLBMi
x2l3hAF3Eojzz/1F/8fPBWQ=
=aWME
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Sun, 03 Jun 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sun, 03 Jun 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #51 received at 650060@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Javier Fernandez-Sanguino <jfs@computer.org>
Cc: 650060@bugs.debian.org
Subject: Re: Bug#650060: snort: diff for NMU version 2.9.2.2-1.1
Date: Sun, 3 Jun 2012 18:18:10 +0200
[Message part 1 (text/plain, inline)]
On Sat, 02 Jun 2012 18:01:05 +0200, Javier Fernandez-Sanguino wrote:

> > I've prepared an NMU for snort (versioned as 2.9.2.2-1.1) and
> > uploaded it to DELAYED/2. Please feel free to tell me if I
> > should delay it longer.
> Thank you, I have applied this patch to the GIT repo, I will test it
> out and, if it works as expected I will upload a new package version
> myself.

Thanks!

Now we just have to figure out why it fails to build on all buildds,
although it built for me on amd64 and for you on i386 :/

Ah, here we are: it's "build vs. build-arch".

Hm, seems liks build-basic get called again from build-arch because
configure-stamp gets removed in between. The minimal fix seems to be
to remove the "rm -f configure-stamp" from debian/clean_sources.sh
(then I can build a binary-only package and the "normal" package --
except that it doesn't build the PDF now. *sigh*)

Anyway, I'm attaching a more invasive patch that allows me to build a
complete and an arch-only package.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Don McLean: La la love you
[build-arch.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 09 Jun 2012 15:03:08 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions snort/2.9.2.2-2. Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 09 Jun 2012 15:03:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'snort: FTBFS when built with build-arch' from 'snort: FTBFS with multiarch libmysqlclient-dev' Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 10 Jun 2012 13:08:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Sun, 17 Jun 2012 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sun, 17 Jun 2012 17:15:03 GMT) Full text and rfc822 format available.

Message #62 received at 650060@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: gregor herrmann <gregoa@debian.org>, 650060@bugs.debian.org
Cc: Javier Fernandez-Sanguino <jfs@computer.org>
Subject: Re: Bug#650060: snort: diff for NMU version 2.9.2.2-1.1
Date: Sun, 17 Jun 2012 18:12:47 +0100
On Sun, 2012-06-03 at 18:18 +0200, gregor herrmann wrote:
> Now we just have to figure out why it fails to build on all buildds,
> although it built for me on amd64 and for you on i386 :/
> 
> Ah, here we are: it's "build vs. build-arch".
> 
> Hm, seems liks build-basic get called again from build-arch because
> configure-stamp gets removed in between. The minimal fix seems to be
> to remove the "rm -f configure-stamp" from debian/clean_sources.sh
> (then I can build a binary-only package and the "normal" package --
> except that it doesn't build the PDF now. *sigh*)
> 
> Anyway, I'm attaching a more invasive patch that allows me to build a
> complete and an arch-only package.

Is there any chance of an upload including the updated patch (or an
alternative solution) that lets snort build again soon?  This is one of
the few remaining packages keeping mysql-5.1 in testing.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Sun, 17 Jun 2012 17:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@computer.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Sun, 17 Jun 2012 17:54:05 GMT) Full text and rfc822 format available.

Message #67 received at 650060@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@computer.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: gregor herrmann <gregoa@debian.org>, 650060@bugs.debian.org, Javier Fernandez-Sanguino <jfs@computer.org>
Subject: Re: Bug#650060: snort: diff for NMU version 2.9.2.2-1.1
Date: Sun, 17 Jun 2012 19:51:57 +0200
[Message part 1 (text/plain, inline)]
Yes, I will make an upload hopefully today.

Regards

Javier

El 17/06/2012 19:14, "Adam D. Barratt" <adam@adam-barratt.org.uk> escribió:

On Sun, 2012-06-03 at 18:18 +0200, gregor herrmann wrote:
> Now we just have to figure out why it fa...
Is there any chance of an upload including the updated patch (or an
alternative solution) that lets snort build again soon?  This is one of
the few remaining packages keeping mysql-5.1 in testing.

Regards,

Adam
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Fri, 22 Jun 2012 19:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Fri, 22 Jun 2012 19:30:03 GMT) Full text and rfc822 format available.

Message #72 received at 650060@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Javier Fernandez-Sanguino <jfs@debian.org>
Cc: 650060@bugs.debian.org, gregor herrmann <gregoa@debian.org>, "debian-release@lists.debian.org" <debian-release@lists.debian.org>
Subject: NMU
Date: Fri, 22 Jun 2012 20:26:58 +0100
Javier,
	I have just uploaded a 2-day NMU based upon Gregor's patch to fix the
snort FTBS. It it works Gregor is owed any credit. If it causes an
issues send the blame my way. And of course you still have two days to
intervene.




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Fri, 22 Jun 2012 21:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernandez-Sanguino <jfs@debian.org>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Fri, 22 Jun 2012 21:45:06 GMT) Full text and rfc822 format available.

Message #77 received at 650060@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino <jfs@debian.org>
To: Nicholas Bamber <nicholas@periapt.co.uk>
Cc: 650060@bugs.debian.org, gregor herrmann <gregoa@debian.org>, "debian-release@lists.debian.org" <debian-release@lists.debian.org>
Subject: Re: NMU
Date: Fri, 22 Jun 2012 23:43:25 +0200
Thanks for the NMU, I did not have time this week to make an upload myself.

Regards

Javier

PS: If I have time I might make an upload soon with the same changes,
in order to acknowledge the NMU




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Fri, 22 Jun 2012 21:51:03 GMT) Full text and rfc822 format available.

Message #80 received at 650060@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: Javier Fernandez-Sanguino <jfs@debian.org>
Cc: 650060@bugs.debian.org, "debian-release@lists.debian.org" <debian-release@lists.debian.org>
Subject: Re: NMU
Date: Fri, 22 Jun 2012 23:47:09 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jun 22, 2012 at 11:43:25PM +0200, Javier Fernandez-Sanguino wrote:
> Thanks for the NMU, I did not have time this week to make an upload myself.
> PS: If I have time I might make an upload soon with the same changes,
> in order to acknowledge the NMU

FWIW you don't need to make an upload just to acknowledge a NMU, unless you
have other changes planned.

Kind regards
Philipp Kern 
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Fri, 22 Jun 2012 22:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Fri, 22 Jun 2012 22:06:13 GMT) Full text and rfc822 format available.

Message #85 received at 650060@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Javier Fernandez-Sanguino <jfs@debian.org>
Cc: 650060@bugs.debian.org, gregor herrmann <gregoa@debian.org>, "debian-release@lists.debian.org" <debian-release@lists.debian.org>
Subject: Re: NMU
Date: Fri, 22 Jun 2012 23:05:02 +0100
On 22/06/12 22:43, Javier Fernandez-Sanguino wrote:
> Thanks for the NMU, I did not have time this week to make an upload myself.
> 
> Regards
> 
> Javier
> 
> PS: If I have time I might make an upload soon with the same changes,
> in order to acknowledge the NMU

Javier,
	I could actually bring the NMU forward if you're happy with it.




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#650060; Package snort. (Fri, 22 Jun 2012 22:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Javier Fernández-Sanguino Peña <jfs@debian.org>. (Fri, 22 Jun 2012 22:42:06 GMT) Full text and rfc822 format available.

Message #90 received at 650060@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Javier Fernandez-Sanguino <jfs@debian.org>
Cc: 650060@bugs.debian.org, gregor herrmann <gregoa@debian.org>, "debian-release@lists.debian.org" <debian-release@lists.debian.org>
Subject: Re: NMU
Date: Fri, 22 Jun 2012 23:39:28 +0100
On 22/06/12 23:05, Nicholas Bamber wrote:
> On 22/06/12 22:43, Javier Fernandez-Sanguino wrote:
>> Thanks for the NMU, I did not have time this week to make an upload myself.
>>
>> Regards
>>
>> Javier
>>
>> PS: If I have time I might make an upload soon with the same changes,
>> in order to acknowledge the NMU
> 
> Javier,
> 	I could actually bring the NMU forward if you're happy with it.

Actually at the request of the release team, I have dusted off the magic
text book, drawn the appropriate diagram in chalk on the office floor
and attempted to get the dcut command correct without accidentally
summoning Cthuhlu. Still waiting to see if I succeeded.




Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Sat, 23 Jun 2012 14:24:03 GMT) Full text and rfc822 format available.

Notification sent to Clint Byrum <clint@ubuntu.com>:
Bug acknowledged by developer. (Sat, 23 Jun 2012 14:24:04 GMT) Full text and rfc822 format available.

Message #95 received at 650060-done@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 650060-done@bugs.debian.org
Subject: snort FTBS seems to be fixed
Date: Sat, 23 Jun 2012 15:19:24 +0100
Version: 2.9.2.2-2.1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:35:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:57:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.